%{?nodejs_find_provides_and_requires}

Name:           nodejs-pgpass
Version:        0.0.6
Release:        1%{?dist}
Summary:        Module for reading .pgpass

License:        MIT
URL:            https://www.npmjs.com/package/pgpass
Source0:        https://registry.npmjs.org/pgpass/-/pgpass-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(mocha)
BuildRequires:  npm(pg-escape)
BuildRequires:  npm(resumer)
BuildRequires:  npm(split)
BuildRequires:  npm(tmp)


%description
This module tries to read the ~/.pgpass file (or the equivalent
for windows systems). If the environment variable PGPASSFILE is
set, this file is used instead. If everything goes right, the
password from said file is passed to the callback; if the password
cannot be read undefined is passed to the callback.


%prep
%autosetup -n package
%nodejs_fixdep split "^0.3.3"
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/pgpass
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/pgpass
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
chmod 600 test/_pgpass
%{nodejs_sitelib}/mocha/bin/mocha -R list


%files
%doc README.md
%{nodejs_sitelib}/pgpass


%changelog
* Tue Jun  7 2016 Tom Hughes <tom@compton.nu> - 0.0.6-1
- Update to 0.0.6 upstream release

* Mon Jun  6 2016 Tom Hughes <tom@compton.nu> - 0.0.5-2
- Change license from BSD to MIT

* Mon Jun  6 2016 Tom Hughes <tom@compton.nu> - 0.0.5-1
- Update to 0.0.5 upstream release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec  7 2015 Tom Hughes <tom@compton.nu> - 0.0.3-2
- Correct license

* Thu Dec  3 2015 Tom Hughes <tom@compton.nu> - 0.0.3-1
- Initial build of 0.0.3
